## org.flexdock.plaf.resources
Class ColorResourceHandler

    java.lang.Object
      org.flexdock.plaf.resources.ResourceHandler
          org.flexdock.plaf.resources.ColorResourceHandler

    public class ColorResourceHandler

extends ResourceHandler

Author:
  Christopher Butler

Constructor Summary
`ColorResourceHandler()`

Method Summary
`java.lang.Object` `getResource(java.lang.String stringValue)`
`static javax.swing.plaf.ColorUIResource` `parseHexColor(java.lang.String hexColor)`

Methods inherited from class org.flexdock.plaf.resources.ResourceHandler
`getArgs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorResourceHandler

    public ColorResourceHandler()

Method Detail

### getResource

    public java.lang.Object getResource(java.lang.String stringValue)

  Overrides:
    `getResource` in class `ResourceHandler`

### parseHexColor

    public static javax.swing.plaf.ColorUIResource parseHexColor(java.lang.String hexColor)